.main-sidebar
{
	will-change: transform;
}

#blazor-error-ui {
    background: #FF4500;
    bottom: 50px;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 19040;
    color:white;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.app-load {
    margin: 100px auto;
    width: 50px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

    .app-load > div {
        background-color: #333;
        height: 100%;
        width: 6px;
        display: inline-block;
        -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
        animation: sk-stretchdelay 1.2s infinite ease-in-out;
    }

    .app-load .rect2 {
        -webkit-animation-delay: -1.1s;
        animation-delay: -1.1s;
    }

    .app-load .rect3 {
        -webkit-animation-delay: -1.0s;
        animation-delay: -1.0s;
    }

    .app-load .rect4 {
        -webkit-animation-delay: -0.9s;
        animation-delay: -0.9s;
    }

    .app-load .rect5 {
        -webkit-animation-delay: -0.8s;
        animation-delay: -0.8s;
    }

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4);
    }

    20% {
        -webkit-transform: scaleY(1.0);
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }

    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

.valid.modified:not([type=checkbox]) {
    /*outline: 1px solid #26b050;*/
    border-color: #28a745;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: center right calc(.375em + .1875rem);
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.invalid {
    /*outline: 1px solid red;*/
    border-color: #dc3545;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
    background-repeat: no-repeat;
    background-position: center right calc(.375em + .1875rem);
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}
/*#components-reconnect-modal > * {*/
#components-reconnect-modal, #components-reconnect-overlay {
    position: fixed; /*NET 9.0 fix*/
    z-index: 11040 !important; /*1050 default*/
    /*background-color: red;
    position: relative;
     */
}


div.k-loader-container {
    z-index: 2001 !important; /* anything below 10,000 2001=v5*/
	
}
/* v6-dialogs
.k-dialog-wrapper:has(.k-alert) {
        z-index: 21000 !important;
}
*/
/*
.k-window-dark {
    color: var(--kendo-color-on-dark, #ffffff);
    background-color: var(--kendo-color-dark, #212529);
}
*/
.state-circle {
    width: 22px;
    height: 22px;
    border-radius: 50%;
    display: inline-block;
    border: 1px solid #333;
}
.state-n  { background: gray }
.state-0  { background: green; } 
.state-1  { background: linear-gradient(to right, red 50%, green 50%); }
.state-2  { background: red; } 
.state-3  { background: yellow; } 
.state-4  { background: skyblue; } 
.state-5  { background: blue; } 
.state-6  { background: purple; } 
.state-7  { background: linear-gradient(to right, skyblue 50%, red 50%); } 
.state-8  { background: linear-gradient(to right, red 50%, skyblue 50%); } 
.state-9  { background: linear-gradient(to right, green 50%, red 50%); }
.state-10  { background: black; } 
.state-11  { background: linear-gradient(to right, green 50%, red 50%); }
.state-12  { background: linear-gradient(to right, black 50%, white 50%); }
.state-13  { background: linear-gradient(to right, skyblue 50%, white 50%); }